% Integrador Numerico - formula do trapezio
function Z2 = Trapezio(t,X0,Func)

        Fstep = ([Func(t(2:end),X0(2:end,:));0,0] + [0,0;Func(t(1:end-1),X0(1:end-1,:))])./2;
        step = [0; t(2:end) - t(1:end-1)];
        Z2 = cumsum([step,step].*Fstep);

end